/* CARD */
.post-card{
  background:#ffffff;
  border-radius:18px;
  overflow:hidden;
  box-shadow:0 8px 24px rgba(0,0,0,0.06);
  transition:0.35s ease;
  height:100%;
  
}

/* HOVER */
.post-card:hover{
  transform:translateY(-4px);
  box-shadow:0 18px 40px rgba(0,0,0,0.12);
}

/* THUMB */
.post-thumb{
  overflow:hidden;
  height:230px;
}

/* IMAGE */
.post-thumb img{
  width:100%;
  height:100%;
  object-fit:cover;
  transition:0.5s ease;
}

/* IMAGE ZOOM */
.post-card:hover .post-thumb img{
  transform:scale(1.08);
}

/* CONTENT */
.post-content{
  padding:18px;
}

/* TITLE */
.post-title{
  font-size:20px;
  font-weight:700;
  color:var(--dark-blue);
  margin-bottom:10px;
  line-height:1.4;
}

.post-single-title{
   font-size:30px;
  font-weight:700;
  color:var(--dark-blue);
  margin-bottom:20px;
  line-height:1.6;
}

/* SUBTITLE */
.post-subtitle{
  font-size:16px;
  color: var(--hero-text);
  line-height:1.7;
  margin-bottom:18px;
  display:-webkit-box;
  -webkit-line-clamp:3;
  -webkit-box-orient:vertical;
  overflow:hidden;
}

.single-body p{
  font-size: 18px !important;
}

/* FOOTER */
.post-footer{
  display:flex;
  align-items:center;
  justify-content:space-between;
  gap:10px;
}

/* VIEWS */
.post-views{
  display:flex;
  align-items:center;
  gap:6px;
  color:var(--hero-text);
  font-size:14px;
}

/* READ MORE */
.post-read-more{
  text-decoration:none;
  background:var(--thm-color);
  color:#ffffff;
  padding:8px 16px;
  border-radius:10px;
  font-size:14px;
  font-weight:600;
  transition:0.3s ease;
}

.post-read-more:hover{
  background:var(--light-blue);
  color:#ffffff;
}

.main-button{
  text-decoration:none;
  background:var(--thm-color);
  color:#ffffff;
  padding:6px 16px;
  border-radius:10px;
  font-size:18px;
  font-weight:600;
  transition:0.3s ease;
}

.main-button:hover{
  background:var(--light-blue);
  color:#ffffff;
}

/* SHARE BUTTON */
.post-share-btn{
  width:40px;
  height:40px;
  border:none;
  border-radius:12px;
  background:#f4f6fb;
  color:var(--hero-text);
  cursor:pointer;
  transition:0.3s ease;
}

.post-share-btn:hover{
  background:var(--light-blue);
  color:#ffffff;
}

.post-share-btn-single{
 display:flex;
  align-items:center;
  gap:6px;
  border:none;
  border-radius:12px;
  background:#f4f6fb;
  color:var(--hero-text);
  cursor:pointer;
  transition:0.3s ease;
}

.post-share-btn-single:hover{
  background:var(--light-blue);
  color:#ffffff;
}

/* THUMB */
.post-thumb{
  position:relative;
  overflow:hidden;
  height:230px;
}

/* TOP LABEL */
.post-badge{
  position:absolute;
  top:14px;
  left:14px;
  z-index:2;
  display:flex;
  align-items:center;
  gap:6px;
  padding:8px 14px;
  border-radius:30px;
  background:rgba(255,255,255,0.92);
  backdrop-filter:blur(8px);
  box-shadow:0 6px 18px rgba(0,0,0,0.12);
  font-size:15px;
  font-weight:700;
  color:var(--dark-blue);
}

/* ICON */
.post-badge i{
  color:var(--thm-color);
}

/* ACCESS BADGE */
.post-access-badge{
  position:absolute;
  right:14px;
  bottom:14px;
  z-index:2;
  display:flex;
  align-items:center;
  gap:5px;
  padding:4px 12px;
  border-radius:20px;
  font-size:14px;
  font-weight:600;
  backdrop-filter:blur(8px);
  box-shadow:0 6px 18px rgba(0,0,0,0.12);
}

/* PAID */
.post-access-badge.paid{
  background:var(--hero-text);
  color:#ffffff;
}

/* ACCESS BADGE */
.post-access-badge-side{
  align-items:center;
  gap:5px;
  padding:4px 12px;
  border-radius:20px;
  font-size:14px;
  font-weight:600;
  backdrop-filter:blur(8px);
  box-shadow:0 6px 18px rgba(0,0,0,0.12);
}

.post-access-badge-side.paid{
  background:var(--text-white);
  color:var(--hero-white);
}

/* FREE */
.post-access-badge.free{
  background:rgba(255,255,255,0.92);
  color:var(--thm-color);
}

/* ICON */
.post-access-badge i{
  font-size:11px;
}

/* TAGS WRAPPER */
.post-tags{
  display:flex;
  flex-wrap:wrap;
  gap:10px;
}

/* TAG */
.post-tag{
  display:inline-flex;
  align-items:center;
  justify-content:center;
  padding:6px 16px;
  border-radius:30px;
  background:var(--light-blue);
  border:1px solid #e4e8f0;
  color:var(--text-white);
  text-decoration:none;
  font-size:15px;
  font-weight:500;
  transition:0.25s ease;
}

/* HOVER */
.post-tag:hover{
  background:var(--text-white);
  border-color:var(--hero-text);
  color:var(--hero-text);
}

/* CARD */
.side-post-card{
  display:flex;
  gap:16px;
  background:#ffffff;
  border-radius:14px;
  overflow:hidden;
  padding:8px;
  transition:0.3s ease;
  border:1px solid #eef1f6;
  margin-bottom: 8px;
}

/* HOVER */
.side-post-card:hover{
  transform:translateY(-3px);
  border-color:#dfe6ef;
  box-shadow:0 12px 28px rgba(0,0,0,0.07);
}

/* THUMB */
.side-post-thumb{
  position:relative;
  width:100px;
  min-width:100px;
  height:auto;
  /*max-height: 100px;*/
  border-radius:12px;
  overflow:hidden;
}

/* IMAGE */
.side-post-thumb img{
  width:100%;
  height:100%;
  object-fit:cover;
  transition:0.5s ease;
}

/* ZOOM */
.side-post-card:hover .side-post-thumb img{
  transform:scale(1.08);
}

/* CONTENT */
.side-post-content{
  flex:1;
  display:flex;
  flex-direction:column;
  justify-content:space-between;
}

/* TITLE */
.side-post-title{
  font-size:17px;
  font-weight:700;
  color:#2b2f4c;
  line-height:1.5;
  margin-bottom:6px;
  display:-webkit-box;
  -webkit-line-clamp:2;
  -webkit-box-orient:vertical;
  overflow:hidden;
}
.side-post-title a{
  text-decoration: none;
  font-size:17px;
  font-weight:700;
  color:#2b2f4c;
  line-height:1.5;
  margin-bottom:6px;
  display:-webkit-box;
  -webkit-line-clamp:2;
  -webkit-box-orient:vertical;
  overflow:hidden;
}

/* FOOTER */
.side-post-footer{
  display:flex;
  align-items:center;
  justify-content:space-between;
  gap:6px;
}

/* MOBILE */
@media(max-width:575px){

  .side-post-card{
    flex-direction:column;
  }

  .side-post-thumb{
    width:100%;
    /*height:210px;*/
  }

}

/******SINGLE PAGE***********************************************************/

/* CARD */
.post-card-single{
  background:#ffffff;
  border-radius:18px;
  overflow:hidden;
  box-shadow:0 8px 24px rgba(0,0,0,0.06);
  transition:0.35s ease;
  height:100%;
  margin-bottom: 50px;
}

/* HOVER */
.post-card-single:hover{
  transform:translateY(-4px);
  box-shadow:0 18px 40px rgba(0,0,0,0.12);
}

/* THUMB */
.post-thumb-single{
  height:auto;
}

/* IMAGE */
.post-thumb-single img{
  width:100%;
  height:100%;
  object-fit:cover;
  transition:0.5s ease;
}

/*sinle body*/
.single-body{
  padding-bottom: 30px;
}

/* IMAGE ZOOM */
.post-card-single:hover .post-thumb img{
  transform:scale(1.08);
}


/****scrolll****************
/* WRAPPER */
.scroll-tags-slider{
  width:100%;
  overflow:hidden;
  position:relative;
  cursor:grab;
  user-select:none;
  padding:6px 0;
}

/* ACTIVE DRAG */
.scroll-tags-slider.dragging{
  cursor:grabbing;
}

/* TRACK */
.scroll-tags-track{
  display:flex;
  align-items:center;
  gap:12px;

  width:max-content;

  animation:scrollTagsMove 28s linear infinite;
}

/* PAUSE ON HOVER */
.scroll-tags-slider:hover .scroll-tags-track{
  animation-play-state:paused;
}

/* TAG */
.scroll-tag-item{
  flex-shrink:0;

  display:inline-flex;
  align-items:center;
  justify-content:center;

  padding:8px 18px;

  border-radius:30px;

  background:#f4f6fb;
  border:1px solid #e4e8f0;

  color:#2b2f4c;

  text-decoration:none;

  font-size:13px;
  font-weight:500;

  white-space:nowrap;

  transition:0.25s ease;
}

/* HOVER */
.scroll-tag-item:hover{
  background:#11D452;
  border-color:#11D452;

  color:#ffffff;
}

/* ANIMATION */
@keyframes scrollTagsMove{

  from{
    transform:translateX(0);
  }

  to{
    transform:translateX(-50%);
  }

}

/* TAGS WRAPPER */
.post-tags{
  display:flex;
  flex-wrap:wrap;
  gap:10px;
}

/* TAG */
.scroll-tag-item{
  display:inline-flex;
  align-items:center;
  justify-content:center;
  padding:6px 16px;
  border-radius:30px;
  background:var(--light-blue);
  border:1px solid #e4e8f0;
  color:var(--text-white);
  text-decoration:none;
  font-size:15px;
  font-weight:500;
  transition:0.25s ease;
}

/* HOVER */
.scroll-tag-item:hover{
  background:var(--text-white);
  border-color:var(--hero-text);
  color:var(--hero-text);
}


/* Wrapper */
.header-slide-menu{
    width:100%;
    overflow:hidden;
    position:relative;
    user-select:none;
    cursor:grab;
    padding:8px 0;
}

.header-slide-menu.dragging{
    cursor:grabbing;
}

/* Track */
.header-slide-track{
    display:flex;
    align-items:center;
    gap:10px;
    width:max-content;

    animation:headerMenuSlide 30s linear infinite;
}

/* Pause on hover */
.header-slide-menu:hover .header-slide-track{
    animation-play-state:paused;
}

/* Item */
.header-slide-item{
    flex-shrink:0;

    display:flex;
    align-items:center;
    gap:8px;

    padding:2px 18px;

    background:#f7f8fa;
    border:1px solid #e5e7eb;
    border-radius:30px;

    text-decoration:none;
    color:var(--hero-text);
    font-size:14px;
    font-weight:500;
    white-space:nowrap;
    transition:.25s;
}

.header-slide-item:hover{
    background:var(--thm-color);
    border-color:var(--thm-color);
    color:#fff;
}

.header-slide-item i{
    font-size:13px;
}

/* Animation */
@keyframes headerMenuSlide{

    from{
        transform:translateX(0);
    }

    to{
        transform:translateX(-50%);
    }

}